View Issue Details

IDProjectCategoryView StatusLast Update
13598Bug reports[All Projects] Survey designpublic2018-06-15 15:43
Reportersullygroup69Assigned Todominikvitt 
PrioritylowSeveritymajor 
Status closedResolutionfixed 
Product Version3.6.x 
Target VersionFixed in Version3.8.x 
Summary13598: Missing filter when selecting parent survey group
DescriptionWhen editing au survey group, the list in which we can select the parent group contains all groups, including the edited group itself.
If the parent group is the same as the child group, this causes (at least) a bug: if this group is chosen in a survey then the theme no longer applies.
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.6.2+180406
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionPostgreSQL 9.6.7
Operating System (Server)Debian GNU/Linux 9 (stretch)
Webserver software & versionApache/2.4.25 (Debian)
PHP Version7.0.27-0+deb9u1

Relationships

related to 13643 closeddominikvitt Viewing Survey Groups 

Activities

guest

guest

2018-05-25 15:17

viewer   ~47852

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27231
dominikvitt

dominikvitt

2018-05-25 15:21

developer   ~47853

Created filter to exclude selected group from the list.
c_schmitz

c_schmitz

2018-06-15 15:43

administrator   ~48178

Version 3.12.1 Build 180616 released

Related Changesets

LimeSurvey: master fa236596

2018-05-25 15:17:23

Dominik Vitt

Details Diff
Fixed issue 13598: Missing filter when selecting parent survey group
mod - application/models/SurveysGroups.php Diff File
mod - application/views/admin/surveysgroups/_form.php Diff File

Issue History

Date Modified Username Field Change
2018-04-12 19:24 sullygroup69 New Issue
2018-05-16 13:09 LouisGac Relationship added related to 13643
2018-05-23 10:41 LouisGac Assigned To => LouisGac
2018-05-23 10:41 LouisGac Status new => assigned
2018-05-23 10:41 LouisGac Assigned To LouisGac => dominikvitt
2018-05-23 10:41 LouisGac Priority none => low
2018-05-25 15:17 Changeset attached => LimeSurvey master fa236596
2018-05-25 15:17 guest Note Added: 47852
2018-05-25 15:17 guest Resolution open => fixed
2018-05-25 15:21 dominikvitt Status assigned => resolved
2018-05-25 15:21 dominikvitt Fixed in Version => 3.8.x
2018-05-25 15:21 dominikvitt Note Added: 47853
2018-06-15 15:43 c_schmitz Note Added: 48178
2018-06-15 15:43 c_schmitz Status resolved => closed